Subject: Re: [lp-wan] Proposed charter v5+

From: Ana Minaburo <[email-masked]>
Date: Wed, 1 Jun 2016 16:56:00 +0200

Hello Pascal,

I like this last version of the charter.

Ana

On Fri, May 27, 2016 at 11:57 AM, Pascal Thubert (pthubert) <
[email-masked]> wrote:

> Hello Ana and Alex: I gave it a try below,
>
>
>
>
>
> 6LPWA: "IPv6 over Low-Power Wide-Area networks".
>
>
>
> Background/Introduction:
>
> ------------------------
>
>
>
> A new generation of wireless technologies has emerged under the generic
> name of
>
> Low-Power Wide-Area (LPWA), with a number of common characteristics which
> make
>
> these technologies unique and disruptive for Internet of Things
> applications.
>
>
>
> Those common traits include an optimized radio modulation, a typical
> deployment
>
> as a simple star topology, frame sizes in the order of tens of bytes
> transmitted
>
> a few times per day at ultra-low speeds and sometimes variable MTUs, and,
> though
>
> downstream may be supported, a mostly upstream transmission pattern that
> allows
>
> the devices to spend most of their time in low-energy deep-sleep mode.
>
>
>
> This enables a range of several kilometers and a long battery lifetime,
> possibly
>
> ten years operating on a single coin-cell. This also enables simple and
> scalable
>
> deployments with low-cost devices and thin infrastructures.
>
>
>
> Those benefits come at a price: the MAC-layer formats are optimized and
> specific
>
> to each individual technology. There is no network layer and the
> application is
>
> often hard wired to the MAC, leading to siloed deployments that must be
> managed,
>
> secured and operated individually. Migrating from one LPWA technology to
> another
>
> implies rebuilding the whole chain.
>
>
>
> To unleash the full power of LPWA technologies and their ecosystems, there
> is a
>
> need to couple them with other ecosystems that will guarantee the
> inter-working
>
> by introducing a network layer, and enable common components for
> management and
>
> security, as well as shared application profiles. The IETF can contribute
> by
>
> providing IPv6 connectivity, and propose technologies to secure the
> operations
>
> and manage the devices and their gateways.
>
>
>
> Description of Working Group:
>
> -----------------------------
>
>
>
> The Working Group will focus on enabling IPv6 connectivity over a
> selection of
>
> Low-Power Wide-Area technologies, <tech1>, <Tech2> and <Tech3>.
>
>
>
> These technologies present similar characteristics of rare and widely
> unbalanced
>
> over-the-air transmissions, with little capability to alter the frame
> formats to
>
> accommodate this work, which makes it so that existing IETF work (6lo)
> cannot be
>
> trivially applied.
>
>
>
> The Working Group will leverage cross-participation with the associated
> set of
>
> stakeholders to ensure that the work taking place corresponds to real
> demands
>
> and that the proposed solutions are indeed applicable.
>
>
>
> The group will produce informational work, for IETF consumption,
> describing LPWA
>
> technologies and their needs, best practice documents on using IETF
> technologies
>
> in LPWA networks, and new standard work to optimize IPv6-based
> communications to
>
> the end device, down to the remote-I/O model where the device is not fully
> aware
>
> of the whole stack.
>
>
>
> The WG will interface with other appropriate groups in the IETF Internet
> Area,
>
> Operations and Management Area, and Security Area.
>
>
>
> Work Items:
>
> -----------
>
>
>
> The group will:
>
>
>
> 1. Produce an Informational document describing and relating some selected
> LPWA
>
> technologies. This work will document the common characteristics and
> highlight
>
> actual needs that the IETF could serve; but it is not an intention to
> provide a
>
> competitive analysis. It is expected that the information contained therein
>
> originates from and is reviewed by LPWA stakeholders, and that this WG may
>
> leverage the resulting document to suggest new activity in other WGs.
>
>
>
> 2. Produce best practice documents highlighting potential areas where IETF
>
> technologies may be leveraged; these documents may eventually be published
> as
>
> Informational RFCs. It is an expectation that the resulting document(s) may
>
> contribute to the interaction with LPWA stakeholders and lead to
> additional work
>
> in the future. Envisioned topics include security, management, and
> cross-layer
>
> optimizations.
>
>
>
> 3. Produce Standard Track documents to enable the compression of a
> CoAP/UDP/IPv6
>
> packet over LPWA. Considering the extreme constraints, the work will focus
> on a
>
> generic YANG data model to describe the compression, and protocols to
> install
>
> the related state at the compression end-points; the work will also
> include, for
>
> the selected technologies, specific Standard Track documents to describe
> how the
>
> fields relevant to the decompression are encoded over the air, if any.
>
>
>
> 4. Produce a document to enable the fragmentation of larger packets over
> LPWA,
>
> either as a Best Practice leveraging existing technology, or as new
> Standard
>
> Track document if that is deemed necessary.
>
>
>
> Cheers,
>
>
>
> Pascal
>
>
>
> *From:* Alexander Pelov [mailto:[email-masked]]
> *Sent:* jeudi 26 mai 2016 10:01
> *To:* Ana Minaburo <[email-masked]>
> *Cc:* Pascal Thubert (pthubert) <[email-masked]>; Mischa Dohler <
> [email-masked]>; [email-masked]
> *Subject:* Re: [lp-wan] Proposed charter v5
>
>
>
> Hi Ana,
>
>
>
> Thanks for the input!
>
>
>
> Le 27 avr. 2016 à 10:22, Ana Minaburo <[email-masked]> a écrit :
>
>
>
> Hello Pascal,
>
>
>
> I have some inputs or questions
>
>
>
> On Tue, Apr 26, 2016 at 8:31 PM, Pascal Thubert (pthubert) <
> [email-masked]> wrote:
>
> 6LPWA: "IPv6 over Low-Power Wide-Area networks".
>
> Background/Introduction:
> ------------------------
>
> A new generation of wireless technologies has emerged under the generic
> name of
> Low-Power Wide-Area (LPWA), with a number of common characteristics which
> make
> these technologies unique and disruptive for Internet of Things
> applications.
>
> Those common traits include an optimized radio modulation, a typical
> deployment
> as a simple star topology, frame sizes in the order of tens of bytes
> transmitted
> a few times per day, and, though downstream may be supported, a mostly
> upstream
> transmission pattern that allows the devices to spend most of their time in
> low-energy deep-sleep mode.
>
>
>
> Ana: Is it a good idea to mention that there is a variable MTU ? this will
> affect the way you make compression and fragmentation.
>
>
>
> Thanks for catching this! Some technologies do have varying MTU and we
> should not forget about this. So yes, I’ll include it in the next version
> of the charter.
>
>
>
>
>
>
> This enables a range of several kilometers and a long battery lifetime,
> possibly
> ten years operating on a single coin-cell. This also enables simple and
> scalable
> deployments with low-cost devices and thin infrastructures.
>
> Those benefits come at a price: the MAC-layer formats are optimized and
> specific
> to each individual technology. There is no network layer and the
> application is
> often hard wired to the MAC, leading to siloed deployments that must be
> managed,
> secured and operated individually. Migrating from one LPWA technology to
> another
> implies rebuilding the whole chain.
>
> To unleash the full power of LPWA technologies and their ecosystems, there
> is a
> need to couple them with other ecosystems that will guarantee the
> inter-working
> by introducing a network layer, and enable common components for
> management and
> security, as well as shared application profiles. The IETF can contribute
> by
> providing IPv6 connectivity, and propose technologies to secure the
> operations
> and manage the devices and their gateways.
>
> Description of Working Group:
> -----------------------------
>
> The Working Group will focus on enabling IPv6 connectivity over a
> selection of
> Low-Power Wide-Area technologies, <tech1>, <Tech2> and <Tech3>.
>
> These technologies present similar characteristics of rare and widely
> unbalanced
> over-the-air transmissions, with little capability to alter the frame
> formats to
> accommodate this work, which makes it so that existing IETF work (6lo)
> cannot be
> trivially applied.
>
> The Working Group will leverage cross-participation with the associated
> set of
> stakeholders to ensure that the work taking place corresponds to real
> demands
> and that the proposed solutions are indeed applicable.
>
> The group will produce informational work, for IETF consumption,
> describing LPWA
> technologies and their needs, best practice documents on using IETF
> technologies
> in LPWA networks, and new standard work to optimize IPv6-based
> communications to
> the end device, down to the remote-I/O model where the device is not fully
> aware
> of the whole stack.
>
> The WG will interface with other appropriate groups in the IETF Internet
> Area,
> Operations and Management Area, and Security Area.
>
> Work Items:
> -----------
>
> The group will:
>
> 1. Produce an Informational document describing and relating some selected
> LPWA
> technologies. This work will document the common characteristics and
> highlight
> actual needs that the IETF could serve; but it is not an intention to
> provide a
> competitive analysis. It is expected that the information contained therein
> originates from and is reviewed by LPWA stakeholders, and that this WG may
> leverage the resulting document to suggest new activity in other WGs.
>
> 2. Produce best practice documents for security and management,
> highlighting
> potential areas where IETF technologies may be leveraged; these documents
> may
> eventually be published as Informational RFCs. It is an expectation that
> the
> resulting document(s) may contribute to the interaction with LPWA
> stakeholders
> and lead to additional work in the future.
>
>
>
> Ana: In this first time we are going to work only in security and
> management? or we plan also to do BCP for other layers? How about the idea
> of working in a crosslayer approach and global solutions? do we need to
> mention it know or for later?
>
>
>
> Also an excellent point. One of the issues that we need to address that
> was suggested by Mischa was the cross-layer ACK optimization. I think that
> we should at least mention the possibility of producing BCP for the
> applications also.
>
>
>
> Thanks!
>
>
>
> Best,
>
> Alexander
>
>
>
>
>
> 3. Produce Standard Track documents to enable the compression of a
> CoAP/UDP/IPv6
> packet over LPWA. Considering the extreme constraints, the work will focus
> on a
> generic YANG data model to describe the compression, and protocols to
> install
> the related state at the compression end-points; the work will also
> include, for
> the selected technologies, specific Standard Track documents to describe
> how the
> fields relevant to the decompression are encoded over the air, if any.
>
> 4. Produce a document to enable the fragmentation of larger packets over
> LPWA,
> either as a Best Practice leveraging existing technology, or as new
> Standard
> Track document if that is deemed necessary.
>
> _______________________________________________
> lp-wan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lp-wan
>
>
>
> Thanks for all your work!
>
>
>
> Ana
>
> _______________________________________________
> lp-wan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lp-wan
>
>
>

---

From: Jonathan Muñoz <[email-masked]>
Date: Thu, 2 Jun 2016 11:10:00 +0200

Hello Pascal, all,

I agree on this version of the charter. We, Gridbee Communications, would
like that the IEEE 802.15.4g standard takes part in the group of Low-Power
Wide-Area technologies.

Thanks!
Jonathan Munoz

2016-06-01 16:56 GMT+02:00 Ana Minaburo <[email-masked]>:

>> To unleash the full power of LPWA technologies and their ecosystems,
>> there is a
>>
>> the end device, down to the remote-I/O model where the device is not
>> fully aware
>>
>> of the whole stack.
>>
>>
>>
>> 1. Produce an Informational document describing and relating some
>> selected LPWA
>>
>> technologies may be leveraged; these documents may eventually be
>> published as
>>
>> packet over LPWA. Considering the extreme constraints, the work will
>> focus on a
>>
>> Ana: Is it a good idea to mention that there is a variable MTU ? this
>> will affect the way you make compression and fragmentation.
>>
>>
>>
>> To unleash the full power of LPWA technologies and their ecosystems,
>> there is a
>> the end device, down to the remote-I/O model where the device is not
>> fully aware
>> of the whole stack.
>>
>> 1. Produce an Informational document describing and relating some
>> selected LPWA
>> packet over LPWA. Considering the extreme constraints, the work will
>> focus on a

-- 
Jonathan Muñoz
PhD student at Gridbee Communications & INRIA Paris
+33 (0) 6 59 05 93 83

---

From: "[email-masked]" <[email-masked]>
Date: Fri, 3 Jun 2016 16:09:51 +0800

Dear Pascal,
Should we concern the interoperability of the LP-WAN?  I mean, the data transmission between end devices and application through Internet, not only from end device to application, but also from application to end device. 
I have noticed that the current draft charter just concern the scheme of fragmentation of larger packets over LPWA. Should we concern more about how to forward the data of lpwan to application efficiently?( Node-R -> Node-G , or Node-R -> app).

Bset Wishes

Xiaowei Qin

From: Pascal Thubert (pthubert)
Date: 2016-05-27 17:57
To: Alexander Pelov; Ana Minaburo
CC: [email-masked]; Mischa Dohler
Subject: Re: [lp-wan] Proposed charter v5+
Hello Ana and Alex: I gave it a try below,

Background/Introduction:
------------------------
 
A new generation of wireless technologies has emerged under the generic name of
Low-Power Wide-Area (LPWA), with a number of common characteristics which make
these technologies unique and disruptive for Internet of Things applications. 
 
Those common traits include an optimized radio modulation, a typical deployment
as a simple star topology, frame sizes in the order of tens of bytes transmitted
a few times per day at ultra-low speeds and sometimes variable MTUs, and, though
downstream may be supported, a mostly upstream transmission pattern that allows
the devices to spend most of their time in low-energy deep-sleep mode.
 
This enables a range of several kilometers and a long battery lifetime, possibly
ten years operating on a single coin-cell. This also enables simple and scalable
deployments with low-cost devices and thin infrastructures.
 
Those benefits come at a price: the MAC-layer formats are optimized and specific
to each individual technology. There is no network layer and the application is
often hard wired to the MAC, leading to siloed deployments that must be managed,
secured and operated individually. Migrating from one LPWA technology to another
implies rebuilding the whole chain.
 
To unleash the full power of LPWA technologies and their ecosystems, there is a
need to couple them with other ecosystems that will guarantee the inter-working
by introducing a network layer, and enable common components for management and
security, as well as shared application profiles. The IETF can contribute by
providing IPv6 connectivity, and propose technologies to secure the operations
and manage the devices and their gateways.

The Working Group will focus on enabling IPv6 connectivity over a selection of
Low-Power Wide-Area technologies, <tech1>, <Tech2> and <Tech3>.
 
These technologies present similar characteristics of rare and widely unbalanced
over-the-air transmissions, with little capability to alter the frame formats to
accommodate this work, which makes it so that existing IETF work (6lo) cannot be
trivially applied.
 
The Working Group will leverage cross-participation with the associated set of
stakeholders to ensure that the work taking place corresponds to real demands
and that the proposed solutions are indeed applicable. 
 
The group will produce informational work, for IETF consumption, describing LPWA
technologies and their needs, best practice documents on using IETF technologies
in LPWA networks, and new standard work to optimize IPv6-based communications to
the end device, down to the remote-I/O model where the device is not fully aware
of the whole stack.
 
The WG will interface with other appropriate groups in the IETF Internet Area,
Operations and Management Area, and Security Area.
 
Work Items:
-----------
 
The group will:
 
1. Produce an Informational document describing and relating some selected LPWA
technologies. This work will document the common characteristics and highlight
actual needs that the IETF could serve; but it is not an intention to provide a
competitive analysis. It is expected that the information contained therein
originates from and is reviewed by LPWA stakeholders, and that this WG may
leverage the resulting document to suggest new activity in other WGs.
 
2. Produce best practice documents highlighting potential areas where IETF
technologies may be leveraged; these documents may eventually be published as
Informational RFCs. It is an expectation that the resulting document(s) may
contribute to the interaction with LPWA stakeholders and lead to additional work
in the future. Envisioned topics include security, management, and cross-layer
optimizations.
 
3. Produce Standard Track documents to enable the compression of a CoAP/UDP/IPv6
packet over LPWA. Considering the extreme constraints, the work will focus on a
generic YANG data model to describe the compression, and protocols to install
the related state at the compression end-points; the work will also include, for
the selected technologies, specific Standard Track documents to describe how the
fields relevant to the decompression are encoded over the air, if any.
 
4. Produce a document to enable the fragmentation of larger packets over LPWA,
either as a Best Practice leveraging existing technology, or as new Standard
Track document if that is deemed necessary.
 
Cheers,
 
Pascal
 
From: Alexander Pelov [mailto:[email-masked]] 
Sent: jeudi 26 mai 2016 10:01
To: Ana Minaburo <[email-masked]>
Cc: Pascal Thubert (pthubert) <[email-masked]>; Mischa Dohler <[email-masked]>; [email-masked]
Subject: Re: [lp-wan] Proposed charter v5
 
Hi Ana,
 
Thanks for the input!

Hello Pascal,

On Tue, Apr 26, 2016 at 8:31 PM, Pascal Thubert (pthubert) <[email-masked]> wrote:
6LPWA: "IPv6 over Low-Power Wide-Area networks".

Background/Introduction:
------------------------

A new generation of wireless technologies has emerged under the generic name of
Low-Power Wide-Area (LPWA), with a number of common characteristics which make
these technologies unique and disruptive for Internet of Things applications.

Those common traits include an optimized radio modulation, a typical deployment
as a simple star topology, frame sizes in the order of tens of bytes transmitted
a few times per day, and, though downstream may be supported, a mostly upstream
transmission pattern that allows the devices to spend most of their time in
low-energy deep-sleep mode.
 
Ana: Is it a good idea to mention that there is a variable MTU ? this will affect the way you make compression and fragmentation.
 
Thanks for catching this! Some technologies do have varying MTU and we should not forget about this. So yes, I’ll include it in the next version of the charter.

This enables a range of several kilometers and a long battery lifetime, possibly
ten years operating on a single coin-cell. This also enables simple and scalable
deployments with low-cost devices and thin infrastructures.

Those benefits come at a price: the MAC-layer formats are optimized and specific
to each individual technology. There is no network layer and the application is
often hard wired to the MAC, leading to siloed deployments that must be managed,
secured and operated individually. Migrating from one LPWA technology to another
implies rebuilding the whole chain.

To unleash the full power of LPWA technologies and their ecosystems, there is a
need to couple them with other ecosystems that will guarantee the inter-working
by introducing a network layer, and enable common components for management and
security, as well as shared application profiles. The IETF can contribute by
providing IPv6 connectivity, and propose technologies to secure the operations
and manage the devices and their gateways.

The Working Group will focus on enabling IPv6 connectivity over a selection of
Low-Power Wide-Area technologies, <tech1>, <Tech2> and <Tech3>.

These technologies present similar characteristics of rare and widely unbalanced
over-the-air transmissions, with little capability to alter the frame formats to
accommodate this work, which makes it so that existing IETF work (6lo) cannot be
trivially applied.

The Working Group will leverage cross-participation with the associated set of
stakeholders to ensure that the work taking place corresponds to real demands
and that the proposed solutions are indeed applicable.

The group will produce informational work, for IETF consumption, describing LPWA
technologies and their needs, best practice documents on using IETF technologies
in LPWA networks, and new standard work to optimize IPv6-based communications to
the end device, down to the remote-I/O model where the device is not fully aware
of the whole stack.

The WG will interface with other appropriate groups in the IETF Internet Area,
Operations and Management Area, and Security Area.

Work Items:
-----------

The group will:

1. Produce an Informational document describing and relating some selected LPWA
technologies. This work will document the common characteristics and highlight
actual needs that the IETF could serve; but it is not an intention to provide a
competitive analysis. It is expected that the information contained therein
originates from and is reviewed by LPWA stakeholders, and that this WG may
leverage the resulting document to suggest new activity in other WGs.

2. Produce best practice documents for security and management, highlighting
potential areas where IETF technologies may be leveraged; these documents may
eventually be published as Informational RFCs. It is an expectation that the
resulting document(s) may contribute to the interaction with LPWA stakeholders
and lead to additional work in the future.
 
Ana: In this first time we are going to work only in security and management? or we plan also to do BCP for other layers? How about the idea of working in a crosslayer approach and global solutions? do we need to mention it know or for later? 
 
Also an excellent point. One of the issues that we need to address that was suggested by Mischa was the cross-layer ACK optimization. I think that we should at least mention the possibility of producing BCP for the applications also. 
 
Thanks!
 
Best,
Alexander

3. Produce Standard Track documents to enable the compression of a CoAP/UDP/IPv6
packet over LPWA. Considering the extreme constraints, the work will focus on a
generic YANG data model to describe the compression, and protocols to install
the related state at the compression end-points; the work will also include, for
the selected technologies, specific Standard Track documents to describe how the
fields relevant to the decompression are encoded over the air, if any.

4. Produce a document to enable the fragmentation of larger packets over LPWA,
either as a Best Practice leveraging existing technology, or as new Standard
Track document if that is deemed necessary.

 
Ana

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 3 Jun 2016 08:25:12 +0000

Hello Xiaowei,

We have to identify real world problems and then either solve them here, or, if they are related to other groups such as v6ops or 6man, present the issues there and see what they say.

So probably your ask starts with a personal submission (a quick draft) explaining what problem you have in mind, and we can move on from there.

Take care,

Pascal

From: [email-masked] [mailto:[email-masked]]
Sent: vendredi 3 juin 2016 10:10
To: Pascal Thubert (pthubert) <[email-masked]>
Cc: lp-wan <[email-masked]>
Subject: Re: [lp-wan] Proposed charter v5+

Dear Pascal,

Bset Wishes

Xiaowei Qin

________________________________

From: Pascal Thubert (pthubert)<mailto:[email-masked]>
Date: 2016-05-27 17:57
To: Alexander Pelov<mailto:[email-masked]>; Ana Minaburo<mailto:[email-masked]>
CC: [email-masked]<mailto:[email-masked]>; Mischa Dohler<mailto:[email-masked]>
Subject: Re: [lp-wan] Proposed charter v5+
Hello Ana and Alex: I gave it a try below,

Background/Introduction:
------------------------

Work Items:
-----------

The group will:

Cheers,

Pascal

From: Alexander Pelov [mailto:[email-masked]]
Sent: jeudi 26 mai 2016 10:01
To: Ana Minaburo <[email-masked]<mailto:[email-masked]>>
Cc: Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>>; Mischa Dohler <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [lp-wan] Proposed charter v5

Hi Ana,

Thanks for the input!

Le 27 avr. 2016 à 10:22, Ana Minaburo <[email-masked]<mailto:[email-masked]>> a écrit :

Hello Pascal,

On Tue, Apr 26, 2016 at 8:31 PM, Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>> wrote:
6LPWA: "IPv6 over Low-Power Wide-Area networks".

Background/Introduction:
------------------------

Work Items:
-----------

The group will:

Thanks!

Best,
Alexander

_______________________________________________
lp-wan mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lp-wan

Ana
_______________________________________________
lp-wan mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lp-wan